Canalplan Bug Tracker



Anonymous Login
2017-10-23 20:11 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000336Canalplan Route Planningpublic2017-10-15 19:12
ReporterDavid Grant 
Assigned ToNick Atty 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSWindows 10OS Version
Product VersionProduct Build 
Target VersionFixed in Version 
Summary0000336: Create PDF fails
DescriptionPlanned a cruising ring. Went to itinery. Tried to create PDF. Got the following error. Happened twice, out of 2 attempts on 2 seperate machines with 2 seperate users.

PDF generation failed
An unknown error occurred when generating your PDF itinerary. Please report this as a bug:

ERROR
Canal - an error has occurred:
Syntax error
execute.c:1206::External command '../plugins/converters/html_to_something/wkhtmltopdf --disable-external-links --disable-internal-links --print-media-type --title "CanalPlanAC Itinerary" /webstuff/downloadfiles/2017-10-10/3224_NQWF/cover.html /webstuff/downloadfiles/2017-10-10/3224_NQWF/cover.pdf 2> /webstuff/downloadfiles/2017-10-10/3224_NQWF/cover.log' returned 256
This happened at Tue Oct 10 18:03:51 2017 in line 113 of "/webstuff/canalplan/cgi-bin/../modules/queued_PDF.can"
shell converters+'wkhtmltopdf --disable-external-links --disable-internal-links --print-media-type --title "CanalPlanAC Itinerary" '+wkdir+i+'.html '+wkdir+i+'.pdf 2> '+wkdir+i+'.log'
Steps To ReproducePlanned a cruising ring. Went to itinery. Tried to create PDF.

Start point seabrook bottom lock 34, end point, same, cruising ring warwick anticlockwise.
Additional InformationHappy to assist further.
TagsNo tags attached.
Attached Files

-Relationships
has duplicate 0000337resolvedNick Atty PDF failed to geerate 
related to 0000333resolvedNick Atty PDF generation failure 
+Relationships

-Notes

~0001333

Nick Atty (administrator)

It's an SSL libraries problem - if you dig through the log files for failed jobs they look like this:
Loading pages (1/6)
QSslSocket: cannot resolve CRYPTO_num_locks ] 10%
QSslSocket: cannot resolve CRYPTO_set_id_callback
QSslSocket: cannot resolve CRYPTO_set_locking_callback
QSslSocket: cannot resolve sk_free
QSslSocket: cannot resolve sk_num
QSslSocket: cannot resolve sk_pop_free
QSslSocket: cannot resolve sk_value
QSslSocket: cannot resolve SSL_library_init
QSslSocket: cannot resolve SSL_load_error_strings
QSslSocket: cannot resolve SSLv3_client_method
QSslSocket: cannot resolve SSLv23_client_method
QSslSocket: cannot resolve SSLv3_server_method
QSslSocket: cannot resolve SSLv23_server_method
QSslSocket: cannot resolve X509_STORE_CTX_get_chain
QSslSocket: cannot resolve OPENSSL_add_all_algorithms_noconf
QSslSocket: cannot resolve OPENSSL_add_all_algorithms_conf
QSslSocket: cannot resolve SSLeay
QSslSocket: cannot call unresolved function CRYPTO_num_locks
QSslSocket: cannot call unresolved function CRYPTO_set_id_callback
QSslSocket: cannot call unresolved function CRYPTO_set_locking_callback
QSslSocket: cannot call unresolved function SSL_library_init
QSslSocket: cannot call unresolved function SSLv23_client_method
QSslSocket: cannot call unresolved function sk_num
QSslSocket: cannot call unresolved function SSLv23_client_method7%
QSslSocket: cannot call unresolved function SSL_library_init
Warning: Failed to load file:///images/blogo.png (ignore)
Counting pages (2/6)
Resolving links (4/6)
Loading headers and footers (5/6)
Printing pages (6/6)
Done
Exit with code 1 due to network error: UnknownNetworkError
QSslSocket: cannot call unresolved function CRYPTO_num_locks
QSslSocket: cannot call unresolved function CRYPTO_set_id_callback
QSslSocket: cannot call unresolved function CRYPTO_set_locking_callback

Clearly it's something to do with us starting to move to https (and so calling out to https pages like maps)
There's not a lot on line but this:
https://github.com/wkhtmltopdf/wkhtmltopdf/issues/3001
when you get down to the bottom seems to suggest that installing a couple of libraries will help. I'll have a go and see what happens.

~0001342

Nick Atty (administrator)

This has been fixed by regressing the SSL-dev library and pinning the version. To fix it properly will require wkhtmltopdf to be fixed, which in turn relies on Qt being fixed. Then we can fix CanalPlan. Current estimates are "around the end of the year".

Just keeping our fingers crossed that the work-around doesn't break anything else in the next few months....
+Notes

-Issue History
Date Modified Username Field Change
2017-10-10 18:08 David Grant New Issue
2017-10-10 18:15 Stephen Atty Assigned To => Nick Atty
2017-10-10 18:15 Stephen Atty Status new => assigned
2017-10-11 06:53 Nick Atty Relationship added has duplicate 0000337
2017-10-11 06:56 Nick Atty Note Added: 0001333
2017-10-15 19:11 Nick Atty Status assigned => resolved
2017-10-15 19:11 Nick Atty Resolution open => fixed
2017-10-15 19:11 Nick Atty Note Added: 0001342
2017-10-15 19:12 Nick Atty Relationship added related to 0000333
+Issue History